﻿using Infragistics.UltraChart.Resources.Appearance;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DemoChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var series1 = (NumericSeries)ultraChart1.Series[0];
            var series2 = (NumericSeries)ultraChart1.Series[1];

            var numberOfPointsInFirstSeries = series1.Points.Count;
            var numberOfPointsInSecondSeries = series2.Points.Count;

            var maxRange = (numberOfPointsInFirstSeries + numberOfPointsInSecondSeries) + ultraChart1.ColumnChart.SeriesSpacing +
                           (ultraChart1.ColumnChart.ColumnSpacing * (numberOfPointsInFirstSeries - 1)) + 
                           (ultraChart1.ColumnChart.ColumnSpacing * (numberOfPointsInSecondSeries - 1));

            for (int i = series2.Points.Count -1; i < series1.Points.Count; i++)
            {
                series2.Points.Add(new NumericDataPoint(0, "Empty", true));
            }

            ultraChart1.Axis.X.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
            ultraChart1.Axis.X.RangeMin = 0;
            ultraChart1.Axis.X.RangeMax = maxRange;
        }
    }
}
